> # NAME

> cgGetNumDependentAnnotationParameters - get the number of effect parameters on which an annotation depends

> # SYNOPSIS

>       #include <Cg/cg.h>

>       int cgGetNumDependentAnnotationParameters( CGannotation ann );

> # PARAMETERS

> ann

>   The annotation handle.

> # RETURN VALUES

> Returns the number of parameters on which ann depends.

> # DESCRIPTION

> Annotations in CgFX files may include references to one or more effect parameters on the right hand side of the annotation that are used for computing the annotation's value. cgGetNumDependentAnnotationParameters returns the total number of such parameters. cgGetDependentAnnotationParameter can then be used to iterate over these parameters.

> This information can be useful for applications that wish to cache the values of annotations so that they can determine which annotations may change as the result of changing a particular parameter's value.

> # EXAMPLES

> to-be-written

> # ERRORS

> CG_INVALID_ANNOTATION_HANDLE_ERROR is generated if ann is not a valid annotation.

> # HISTORY

> cgGetNumDependentAnnotationParameters was introduced in Cg 1.4.

> # SEE ALSO

> cgGetDependentAnnotationParameter, cgGetFirstAnnotation, cgGetNamedAnnotation, cgGetNumDependentStateAssignmentParameters